Subject: Re: What's cooking in git.git (Jun 2021, #07; Wed, 30)

From: Junio C Hamano <[email-masked]>
Date: Thu, 01 Jul 2021 08:21:27 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> And:
>
>>  - Makefile: remove an out-of-date comment
>>  - Makefile: stop hardcoding {command,config}-list.h
>>  - Makefile: mark "check" target as .PHONY
>
> https://lore.kernel.org/git/[email-masked]/
>
> But you re-combined them. If it makes things easier for you I'm all for
> it, but it seems better to me keep them split if that mean that some
> parts can advance faster, and thus make the rest easier to review.

I am all for that reasoning, but in this case (and other topics that
I "combined", as well), one had textual dependencies on the other,
and didn't make sense to split them into two, as neither part can
advance without affecting the other, if I recall correctly.

>> * ab/doc-retire-alice-bob (2021-06-16) 6 commits
>>  - pack-protocol doc: use "www-data" in place of "alice"
>>  - doc: replace "alice" and "bob" with "jdoe" and "msmith"
>>  - fast-import doc: change "bob" in an example to "file.txt"
>>  - daemon doc + code comments: reword "alice" example
>>  - gitcvs-migration doc: replace "alice" and "bob" with "you" and "www-data"
>>  - gittutorial doc: replace "alice" and "bob" with "you" and "www-data"
>
> Having re-read the discussion now I don't know if there's anything
> outstanding to change about this series. It's gotten a lot of attention
> so far, so it's more of a matter of if you're willing to take this sort
> of documentation change or not.

I actually do agree with the objection that www-data is a contrived
thing to use in the examples, not because the user www-data is
distro specific, but because it involves one physical human user
acting on two accounts, instead of two human users interacting with
each other.